Resize your cloud services (CPU, RAM)

Scale resources for your cloud service, such as virtual servers, up or down. Adjust the number of CPU cores and the amount of RAM to match your needs. This is useful when your service grows or when you want to optimize costs.

VPS & Cloud Cloud Capacity

Context

Used in the dashboard

/instance/[id]

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.cached boolean required · Example: true
data.cores integer required · Example: 2
data.disk string · enum required · Example: 200.00
100
200
500
data.memory string · enum · Example: 12.00
12
14
16
data.status string · enum · Example: stopped
running
stopped
data.updated_at string · Example: 2026-02-10T00:00:00.000Z
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/cloud/{accountId}/resize
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/cloud/20000/resize" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "cores": 2,
    "memory": "12.00",
    "disk": "200.00",
    "status": "stopped",
    "updated_at": "2026-02-10T00:00:00.000Z",
    "cached": true
  }
}